#include "tcb/tcb.h"
#include "tcb/share_app_ttcb.h"
#include <sys/time.h>

descriptor_t descriptor;

int main(int argc, char **argv)
{
	int TTCBerror;

	// Initialize descriptor to null. If descriptor is global, this should be unnecessary, but it is always safer.

	memset(&descriptor, 0, sizeof(descriptor_t));

	// init TTCB connection
	TTCBerror=openTCBConnection(&descriptor);

	if (TTCBerror < 0){
	  print_error_TTCB(TTCBerror);
	  closeTTCBConnection(&descriptor); 
	  return 1;
	} else 
	  printf("Hello. My eid is: %u  (%u %u) \n", descriptor.eid, descriptor.eid /256, descriptor.eid %256);
	
	
	
	//invoke the (T)TCB service(s).
	// ...
	// ...
	
	//finalize connection.
        if((TTCBerror=closeTCBConnection(&descriptor)) < 0); //call TTCB
	{	
	  print_error_TTCB(TTCBerror);
	  return 1;
	}	
	
        return 0;
}
