#ifndef	_RTnet_init
#define _RTnet_init

#include <linux/config.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/types.h>
#include <linux/fs.h>
#include <linux/slab.h>
#include <linux/if_ether.h>
#include <linux/string.h>
#include <linux/netdevice.h>
#include <linux/etherdevice.h>
#include <linux/fddidevice.h>
#include <linux/hippidevice.h>
#include <linux/trdevice.h>
#include <linux/fcdevice.h>
#include <linux/if_arp.h>
#include <linux/if_ltalk.h>
#include <linux/rtnetlink.h>
#include <net/neighbour.h>

#include "rtip/RTnetdevice.h"

struct RTnet_device *RTalloc_etherdev(int sizeof_priv);
void RTether_setup(struct RTnet_device *dev);
int RTregister_netdev(struct RTnet_device *dev);
void RTunregister_netdev(struct RTnet_device *dev);

#endif

