
#include <linux/config.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/string.h>
#include <linux/timer.h>
#include <linux/errno.h>
#include <linux/in.h>
#include <linux/ioport.h>
#include <linux/slab.h>
#include <linux/interrupt.h>
#include <linux/pci.h>
#include <linux/mii.h>
#include <linux/init.h>
#include <linux/netdevice.h>
#include <linux/etherdevice.h>
#include <linux/skbuff.h>
#include <linux/ethtool.h>
#include <linux/highmem.h>
#include <asm/irq.h>		
#include <asm/bitops.h>
#include <asm/io.h>
#include <asm/uaccess.h>

#include "rtip/RTdev.h"


MODULE_AUTHOR ("Pedro Martins <pmartins@di.fc.ul.pt>");
MODULE_DESCRIPTION ("RTIP 1.0 - Real-Time UDP/IP for RTAI");

extern struct RTnet_device loopback;

void print_about(void){
	printk(KERN_INFO "------------------------------------------------------\n");
	printk(KERN_INFO "RTIP 1.0 - Real-Time UDP/IP for RTAI\n");
	printk(KERN_INFO "(C)2002, Navigators Group <www.navigators.di.fc.ul.pt>\n");
	printk(KERN_INFO "         Pedro Martins    <pmartins@di.fc.ul.pt>\n");
	printk(KERN_INFO "------------------------------------------------------\n");
}

static int vortex_init (void)
{
	char buff[4000];

	RTnet_dev_get_info(buff);

	printk(KERN_INFO "%s\n",buff);

	return 0;
}


static void  vortex_cleanup (void)
{
}


module_init(vortex_init);
module_exit(vortex_cleanup);

